polybori::CVariableNames Class Reference

`#include <CVariableNames.h>`

## Public Types

typedef CTypes::vartext_type | vartext_type
| Define type for setting/getting names of variables. More...
typedef std::string | varname_type
| Define type for storing names of variables. More...
typedef std::vector< varname_type > | storage_type
| Define type for storing names of variables. More...
typedef storage_type::reference | reference
| Define type for write accessing elements. More...
typedef vartext_type | const_reference
| Define type for outputing variable names. More...
typedef CVariableNames | self
| Define type of *this. More...
adopt global type definitions
typedef CTypes::size_type | size_type
typedef CTypes::idx_type | idx_type

## Public Member Functions

| CVariableNames (size_type nvars)
| Constructor. More...
| CVariableNames (const self &rhs)
| Copy Constructor. More...
void | reset (idx_type idx=0)
| Set default variable names. More...
const_reference | operator[] (idx_type idx) const
| Get name of variable with index idx. More...
void | set (idx_type idx, const varname_type &varname)
| Get writable reference to name of variable with index idx. More...

## Static Protected Member Functions

static const_reference | undefName ()

## Member Typedef Documentation

typedef vartext_type polybori::CVariableNames::const_reference

Define type for outputing variable names.

typedef CTypes::idx_type polybori::CVariableNames::idx_type

typedef storage_type::reference polybori::CVariableNames::reference

Define type for write accessing elements.

typedef CVariableNames polybori::CVariableNames::self

Define type of *this.

typedef CTypes::size_type polybori::CVariableNames::size_type

typedef std::vector<varname_type> polybori::CVariableNames::storage_type

Define type for storing names of variables.

typedef std::string polybori::CVariableNames::varname_type

Define type for storing names of variables.

typedef CTypes::vartext_type polybori::CVariableNames::vartext_type

Define type for setting/getting names of variables.

## Constructor & Destructor Documentation

polybori::CVariableNames::CVariableNames | ( | size_type | nvars) |  |

inline

Constructor.

polybori::CVariableNames::CVariableNames | ( | const self & | rhs) |  |

inline

Copy Constructor.

## Member Function Documentation

const_reference polybori::CVariableNames::operator[] | ( | idx_type | idx) |  | const

inline

Get name of variable with index idx.

References PBORI_UNLIKELY.

void polybori::CVariableNames::reset | ( | idx_type | idx = `0`) |  |

inline

Set default variable names.

void polybori::CVariableNames::set | ( | idx_type | idx,
|  | const varname_type & | varname
| ) |  |

inline

Get writable reference to name of variable with index idx.

References PBORI_UNLIKELY.

static const_reference polybori::CVariableNames::undefName | ( | ) |  |

inline static protected

The documentation for this class was generated from the following file:

- CVariableNames.h